API references
Search documentation... ⌘K
API references

Retrieves a specific payment link by its ID for a given installation.

Endpoint signature
POST https://api.reservepay.com/sdk/retrieve-payment-link HTTP/1.1
Content-Type: application/json
Accept: application/json
{
merchant_id: string,
installation_id: string,
payment_link_id: string,
}
Returns: object
New to Reservepay? Read our guide on how to call endpoints to get started.
Request arguments
merchant_id string

Required. Your merchant ID that uniquely identifies your account.

installation_id string

Required. The installation ID for this platform.

payment_link_id string

Required. The ID of the payment link to retrieve.

Response attributes
Attribute Description
description
string

A description of the payment link.

expires_at
number

Nullable. The expiration time of the payment link as a Unix timestamp, or null if it does not expire.

Errors specific to this endpoint
NOT_FOUND

The merchant, installation, or payment link could not be found with the provided IDs.

Errors common to all endpoints
UNHANDLED_ERROR

This error occurs when the server encounters an unexpected internal error that it cannot handle gracefully. This typically happens due to bugs, infrastructure issues, or edge cases that weren't anticipated during development.

INVALID_ARGUMENTS

This error occurs when the request contains invalid or missing parameters. Common cases include missing required fields, or values that don't match the expected format or type.

BAD_VERSION

This error occurs when making requests to an API version that is either deprecated or not yet released. This commonly happens when using an outdated SDK or when the API version specified in the request URL is incorrect.

CODE SAMPLES
curl
Learn how to run these code samples in your terminal by reading our guide.